<?xml version='1.0' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ap="http://schemas.mindjet.com/MindManager/Application/2003">
	
	<xsl:template match="/">
		<ap:Map xmlns:ap="http://schemas.mindjet.com/MindManager/Application/2003" xmlns:cor="http://schemas.mindjet.com/MindManager/Core/2003" xmlns:pri="http://schemas.mindjet.com/MindManager/Primitive/2003" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Primitive/2003 http://schemas.mindjet.com/MindManager/Primitive/2003">
			<ap:OneTopic>
				<ap:Topic>
					<ap:SubTopics>
						<xsl:for-each select="//outline[1]">
							<ap:Topic>
								<ap:SubTopics>
									<xsl:call-template name="items2topics"/>
								</ap:SubTopics>
								<ap:Text>
									<xsl:attribute name="PlainText">Core Attributes</xsl:attribute>
									<ap:Font/>
								</ap:Text>	
							</ap:Topic>
						</xsl:for-each>

						<xsl:for-each select="//outline[position()>1]">
							<ap:Topic>
								<ap:SubTopics>
									<xsl:call-template name="items2topics"/>
								</ap:SubTopics>
								<ap:Text>
									<xsl:attribute name="PlainText">
										<xsl:value-of select="@text"/>
									</xsl:attribute>
									<ap:Font/>
								</ap:Text>	
							</ap:Topic>
						</xsl:for-each>	
					</ap:SubTopics>
					<ap:Text>
						<xsl:attribute name="PlainText">
							<xsl:value-of select="oml/body/outline/@text"/>
						</xsl:attribute>
						<ap:Font/>
					</ap:Text>	
				</ap:Topic>
			</ap:OneTopic >		
		</ap:Map>
	</xsl:template>


 	<xsl:template name="items2topics">

		<!--Create a topic for the create date of the outline-->
		<ap:Topic>
			<ap:SubTopics>
				<ap:Topic>
					<ap:Text>
							<xsl:attribute name="PlainText">
								<xsl:value-of select="@created"/>
							</xsl:attribute>
							<ap:Font/>
					</ap:Text>
				</ap:Topic>
			</ap:SubTopics>
			<ap:Text>
				<xsl:attribute name="PlainText">Created</xsl:attribute>
				<ap:Font/>
			</ap:Text>
		</ap:Topic>

		<!--Create topic for the modified date of the outline-->
		<ap:Topic>
			<ap:SubTopics>
				<ap:Topic>
					<ap:Text>
							<xsl:attribute name="PlainText">
								<xsl:value-of select="@modified"/>
							</xsl:attribute>
							<ap:Font/>
					</ap:Text>
				</ap:Topic>
			</ap:SubTopics>
			<ap:Text>
				<xsl:attribute name="PlainText">Modified</xsl:attribute>
				<ap:Font/>
			</ap:Text>
		</ap:Topic>

		<xsl:for-each select="Item">
			<ap:Topic>
				<ap:SubTopics>
					<xsl:for-each select=".">
						<ap:Topic>
							<ap:Text>
								<xsl:for-each select=".">
									<xsl:attribute name="PlainText">
										<xsl:value-of select="."/>
									</xsl:attribute>
									<ap:Font/>
								</xsl:for-each>
							</ap:Text>
						</ap:Topic>
					</xsl:for-each>
				</ap:SubTopics>
				<ap:Text>
					<xsl:for-each select=".">
						<xsl:attribute name="PlainText">
							<xsl:value-of select="@name"/>
						</xsl:attribute>
						<ap:Font/>
					</xsl:for-each>
				</ap:Text>
			</ap:Topic>
		</xsl:for-each>		

	</xsl:template>


</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="Cameras.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="CamerasM2.xml" destSchemaRoot="Map" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no" ><SourceSchema srcSchemaPath="Cameras.xml" srcSchemaRoot="oml" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/></MapperInfo><MapperBlockPosition><template match="/"><block path="ap:Map/ap:OneTopic/ap:Topic/ap:SubTopics/xsl:apply&#x2D;templates" x="280" y="192"/><block path="ap:Map/ap:OneTopic/ap:Topic/ap:Text/xsl:attribute/xsl:value&#x2D;of" x="320" y="223"/></template><template match="/oml"></template><template match="@created"><block path="xsl:for&#x2D;each" x="195" y="118"/><block path="xsl:for&#x2D;each/ap:Topic/xsl:for&#x2D;each" x="194" y="158"/></template><template match="outline"><block path="ap:SubTopics/xsl:for&#x2D;each" x="280" y="223"/><block path="ap:SubTopics/xsl:for&#x2D;each/ap:Topic/ap:SubTopics/xsl:for&#x2D;each" x="320" y="223"/><block path="ap:SubTopics/xsl:for&#x2D;each/ap:Topic/ap:SubTopics/xsl:for&#x2D;each/ap:Topic/ap:Text/xsl:for&#x2D;each" x="200" y="223"/><block path="ap:SubTopics/xsl:for&#x2D;each/ap:Topic/ap:Text/xsl:for&#x2D;each" x="240" y="223"/></template><template name="topic"><block path="ap:Topic/ap:SubTopics/xsl:choose" x="330" y="162"/><block path="ap:Topic/ap:SubTopics/xsl:choose/=[0]" x="284" y="156"/><block path="ap:Topic/ap:SubTopics/xsl:choose/xsl:when/ap:Topic/ap:Text/xsl:attribute/xsl:value&#x2D;of" x="240" y="223"/><block path="ap:Topic/ap:SubTopics/xsl:choose/xsl:otherwise/xsl:call&#x2D;template" x="280" y="192"/><block path="ap:Topic/ap:Text/xsl:attribute/xsl:value&#x2D;of" x="320" y="223"/></template></MapperBlockPosition><TemplateContext><template match="@created" mode="" srcContextPath="/oml/body/outline" srcContextFile="file:///c:/Documents and Settings/Gary/Desktop/Cameras.xml" targetContextPath="/ap:Map/ap:OneTopic/ap:Topic/ap:SubTopics/ap:Topic/ap:SubTopics" targetContextFile="file:///c:/Documents and Settings/Gary/Desktop/CamerasM2.xml"/></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->